Name:           perl-OAuth-Lite2
Version:        0.11
Release:        1%{?dist}
Summary:        OAuth 2.0 Library
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/OAuth-Lite2/
Source0:        http://www.cpan.org/authors/id/R/RI/RITOU/OAuth-Lite2-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Class::Accessor::Fast) >= 0.34
BuildRequires:  perl(Class::ErrorHandler) >= 0.01
BuildRequires:  perl(Data::Dump) >= 1.17
BuildRequires:  perl(Digest::SHA) >= 5.48
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.36
BuildRequires:  perl(Hash::MultiValue) >= 0.08
BuildRequires:  perl(IO::String) >= 1.08
BuildRequires:  perl(JSON::XS)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Module::Build::Tiny)
BuildRequires:  perl(Params::Validate) >= 0.95
BuildRequires:  perl(Plack) >= 0.09942
BuildRequires:  perl(Scalar::Util) >= 1.23
BuildRequires:  perl(String::Random) >= 0.22
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Try::Tiny) >= 0.06
BuildRequires:  perl(URI) >= 1.54
BuildRequires:  perl(XML::LibXML) >= 1.7
BuildRequires:  perl-macros
BuildRequires:  perl-devel
Requires:       perl(Class::Accessor::Fast) >= 0.34
Requires:       perl(Class::ErrorHandler) >= 0.01
Requires:       perl(Data::Dump) >= 1.17
Requires:       perl(Digest::SHA) >= 5.48
Requires:       perl(Hash::MultiValue) >= 0.08
Requires:       perl(IO::String) >= 1.08
Requires:       perl(JSON::XS)
Requires:       perl(LWP::UserAgent)
Requires:       perl(Params::Validate) >= 0.95
Requires:       perl(Plack) >= 0.09942
Requires:       perl(Scalar::Util) >= 1.23
Requires:       perl(String::Random) >= 0.22
Requires:       perl(Try::Tiny) >= 0.06
Requires:       perl(URI) >= 1.54
Requires:       perl(XML::LibXML) >= 1.7
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Provides:       perl(OAuth::Lite2::Server::Error::UnauthorizedClient)
Provides:       perl(OAuth::Lite2::Client::ClientCredentials)
Provides:       perl(OAuth::Lite2::Server::Error::RedirectURIMismatch)
Provides:       perl(OAuth::Lite2::ParamMethod::AuthHeader)
Provides:       perl(OAuth::Lite2::Client::UsernameAndPassword)
Provides:       perl(OAuth::Lite2)
Provides:       perl(OAuth::Lite2::Signer)
Provides:       perl(OAuth::Lite2::Server::Error::InvalidToken)
Provides:       perl(OAuth::Lite2::Server::GrantHandler)
Provides:       perl(OAuth::Lite2::Server::GrantHandler::ExternalService)
Provides:       perl(OAuth::Lite2::Model::ServerState)
Provides:       perl(OAuth::Lite2::ParamMethod::FormEncodedBody)
Provides:       perl(OAuth::Lite2::Formatter::JSON)
Provides:       perl(OAuth::Lite2::Server::Error::ExpiredTokenLegacy)
Provides:       perl(OAuth::Lite2::Client::WebServer)
Provides:       perl(OAuth::Lite2::Client::Error::InsecureRequest)
Provides:       perl(OAuth::Lite2::Server::GrantHandler::AuthorizationCode)
Provides:       perl(OAuth::Lite2::Formatter::FormURLEncoded)
Provides:       perl(OAuth::Lite2::Server::DataHandler)
Provides:       perl(Plack::Middleware::Auth::OAuth2::ProtectedResource)
Provides:       perl(OAuth::Lite2::Server::GrantHandler::ServerState)
Provides:       perl(OAuth::Lite2::Server::Context)
Provides:       perl(OAuth::Lite2::Server::Error::InvalidScope)
Provides:       perl(OAuth::Lite2::Model::AccessToken)
Provides:       perl(OAuth::Lite2::Server::Error::InvalidServerState)
Provides:       perl(OAuth::Lite2::Client::StateResponseParser)
Provides:       perl(OAuth::Lite2::Client::TokenResponseParser)
Provides:       perl(OAuth::Lite2::Server::Error::InvalidClient)
Provides:       perl(OAuth::Lite2::Server::Error::ServerError)
Provides:       perl(OAuth::Lite2::Formatter)
Provides:       perl(OAuth::Lite2::Model::AuthInfo)
Provides:       perl(OAuth::Lite2::Signer::Algorithm)
Provides:       perl(OAuth::Lite2::Util)
Provides:       perl(OAuth::Lite2::Agent::Strict)
Provides:       perl(OAuth::Lite2::Agent::Dump)
Provides:       perl(OAuth::Lite2::ParamMethods)
Provides:       perl(OAuth::Lite2::Agent)
Provides:       perl(OAuth::Lite2::Server::GrantHandler::Password)
Provides:       perl(OAuth::Lite2::ParamMethod)
Provides:       perl(OAuth::Lite2::Server::Error::UnsupportedResponseType)
Provides:       perl(OAuth::Lite2::Signer::Algorithms)
Provides:       perl(OAuth::Lite2::Client::Error::InvalidResponse)
Provides:       perl(OAuth::Lite2::Server::Endpoint::Token)
Provides:       perl(OAuth::Lite2::ParamMethod::URIQueryParameter)
Provides:       perl(OAuth::Lite2::Server::Error)
Provides:       perl(OAuth::Lite2::Server::Error::InsufficientScope)
Provides:       perl(OAuth::Lite2::Agent::PSGIMock)
Provides:       perl(OAuth::Lite2::Server::GrantHandler::ClientCredentials)
Provides:       perl(OAuth::Lite2::Formatter::XML)
Provides:       perl(OAuth::Lite2::Server::Error::ExpiredToken)
Provides:       perl(OAuth::Lite2::Client::Error::InsecureResponse)
Provides:       perl(OAuth::Lite2::Client::ServerState)
Provides:       perl(OAuth::Lite2::Formatters)
Provides:       perl(OAuth::Lite2::Server::Error::InvalidRequest)
Provides:       perl(OAuth::Lite2::Formatter::Text)
Provides:       perl(OAuth::Lite2::Server::GrantHandlers)
Provides:       perl(OAuth::Lite2::Client::ExternalService)
Provides:       perl(OAuth::Lite2::Signer::Algorithm::HMAC_SHA1)
Provides:       perl(OAuth::Lite2::Client::Error)
Provides:       perl(OAuth::Lite2::Client::Token)
Provides:       perl(OAuth::Lite2::Server::Error::AccessDenied)
Provides:       perl(OAuth::Lite2::Server::Error::InvalidGrant)
Provides:       perl(OAuth::Lite2::Server::Error::UnsupportedResourceType)
Provides:       perl(OAuth::Lite2::Signer::Algorithm::HMAC_SHA256)
Provides:       perl(OAuth::Lite2::Server::Error::UnsupportedGrantType)
Provides:       perl(OAuth::Lite2::Server::Error::TemporarilyUnavailable)
Provides:       perl(OAuth::Lite2::Server::GrantHandler::GroupingRefreshToken)
Provides:       perl(OAuth::Lite2::Server::GrantHandler::RefreshToken)

%description
OAuth 2.0 Library

%prep
%setup -q -n OAuth-Lite2-%{version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes cpanfile LICENSE META.json minil.toml README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*
%{_bindir}/token.psgi
%{_mandir}/man1/token.psgi.1.gz

%changelog
* Fri Sep 22 2023 Peter Ajamian <pj@ghettoforge.org> 0.11-1
- Specfile autogenerated by cpanspec 1.78.
